{
  inputs,
  ...
}: {
  imports = [
    inputs.nixvim.homeModules.nixvim
  ];
  programs.nixvim = {
    enable = true;
    defaultEditor = true;
    #colorschemes.catppuccin.enable = true;
    #colorschemes.tokyonight = {
    #  enable = true;
    #  settings = {
    #    style = "night";
    #  };
    #};
    colorschemes.monokai-pro = {
      enable = true;
      settings = {
        filter = "classic"; # Options: classic, octagon, pro, machine
      };
    };
    #colorschemes.nightfox = {
    #  enable = true;
    #  flavor = "carbonfox"; # Try "nordfox" or "duskfox" too!
    #};
    plugins.lualine.enable = true;
    vimAlias = true;
    opts = {
      number = true;
      relativenumber = true;
    };
    plugins.cmp = {
      enable = true;
      settings.sources = [
        { name = "nvim_lsp"; }
	{ name = "path"; }
	{ name = "buffer"; }
      ];
    };
    plugins.lsp = {
      enable = true;
      servers = {
        #nil_ls.enable = true;
	nil_ls = {
	  enable = true;
	  settings = {
	    nix.flake.autoArchive = true;
	  };
	};
	clangd.enable = true;
	html.enable = true;
      };
    };
    plugins.rustaceanvim.enable = true;
  };
}
